package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_RLZY_ZYJN") //职业技能
public class RsRlzyZyjnPO {
    @TableId(value = "rs_rlzy_zyjn_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_zyjn_lsh")
    private String rsrlzyzyjnlsh;//职业技能流水号

    @TableField(value = "rs_yhlsh")
    private String rsyhlsh;//用户流水号

    private String jnhztc;//技能或者特长
    private String zgdj;//资格等级
    private String hqsj;//获取时间
    private String cygz;//从业工种
    private String zsh;//证书号
    private String csnx;//从事年限
    private String sm;//说明

    @TableField(value = "ts_cjr")
    private String tscjr;//创建人

    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间

    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人

    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间

    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志

    @TableField(exist = false)
    private String dyblsh;//对应表流水号
    @TableField(exist = false)
    private String zgdjname;

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }

    public String getZgdjname() {
        return zgdjname;
    }

    public void setZgdjname(String zgdjname) {
        this.zgdjname = zgdjname;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public String getRsrlzyzyjnlsh() {
        return rsrlzyzyjnlsh;
    }

    public void setRsrlzyzyjnlsh(String rsrlzyzyjnlsh) {
        this.rsrlzyzyjnlsh = rsrlzyzyjnlsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getJnhztc() {
        return jnhztc;
    }

    public void setJnhztc(String jnhztc) {
        this.jnhztc = jnhztc;
    }

    public String getZgdj() {
        return zgdj;
    }

    public void setZgdj(String zgdj) {
        this.zgdj = zgdj;
    }

    public String getHqsj() {
        return hqsj;
    }

    public void setHqsj(String hqsj) {
        this.hqsj = hqsj;
    }

    public String getCygz() {
        return cygz;
    }

    public void setCygz(String cygz) {
        this.cygz = cygz;
    }

    public String getZsh() {
        return zsh;
    }

    public void setZsh(String zsh) {
        this.zsh = zsh;
    }

    public String getCsnx() {
        return csnx;
    }

    public void setCsnx(String csnx) {
        this.csnx = csnx;
    }

    public String getSm() {
        return sm;
    }

    public void setSm(String sm) {
        this.sm = sm;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }
}


